/*
 Theme Name:     pinboard Child Theme
 Theme URI:      https://www.onedesigns.com/wordpress-themes/pinboard
 Description:    pinboard Child Theme
 Author:         Elegant Themes
 Author URI:     https://www.onedesigns.com
 Template:       pinboard
 Version:        1.0.0
*/
 
/* ------------------------------------------------------- */

.clearfloats {
  font-size: 1px;
}

.yu_quote {
  max-width: 50%; 
  text-align: right; 
  float: right;
}

.yu_p_quote {
  font-size: smaller;
}

a {
  cursor: pointer;
  text-decoration: none;
  transition: none;
  font-weight: bold;
}

div .center, table .center {
    margin: auto;
}

b {
  font-weight: bold !important;
}

/******************************************************************************
 *                      Table Of Contents And Headers                         *
 *****************************************************************************/

h1, h1 a, h1 a:link, h1 a:visited, h1 a:hover, h1 a:active, 
h2, h2 a, h2 a:link, h2 a:visited, h2 a:hover, h2 a:active, 
h3, h3 a, h3 a:link, h3 a:visited, h3 a:hover, h3 a:active, 
h4, h4 a, h4 a:link, h4 a:visited, h4 a:hover, h4 a:active, 
h5, h5 a, h5 a:link, h5 a:visited, h5 a:hover, h5 a:active { 
	color: #000000;
	cursor: text;
	font-weight:normal;
	text-decoration: underline; 
}

h1, h1 a, h1 a:link, h1 a:visited, h1 a:hover, h1 a:active, .item-h1 {
	text-transform: uppercase;
}

h2, h2 a, h2 a:link, h2 a:visited, h2 a:hover, h2 a:active, .item-h2,
h3, h3 a, h3 a:link, h3 a:visited, h3 a:hover, h3 a:active, .item-h3,
h4, h4 a, h4 a:link, h4 a:visited, h4 a:hover, h4 a:active, .item-h4,
h5, h5 a, h5 a:link, h5 a:visited, h5 a:hover, h5 a:active, .item-h5 {
	text-transform: capitalize;
}

.item-h1 {
  padding-left: 15px;
}
.item-h2 {
  padding-left: 30px;
}
.item-h3 {
  padding-left: 45px;
}
.item-h4 {
  padding-left: 60px;
}
.item-h5 {
  padding-left: 75px;
}
.div_toc_initial {
  display: none;
}

h2:before, h1:before, h3:before, .flushright:after, .clearfloats:before {
  content: "";
  clear: both;
  display: table;
}

/******************************************************************************
 *                                  Table                                     *
 *****************************************************************************/

table tr:nth-child(even) {
	background:#FFFFFF;
}

table { 
    border-spacing: 0;
    border-collapse: collapse;
    border: none;
    margin: 0px auto;
    width:auto;
    max-width:100%; 
    table-layout:fixed;
}

table th,
table td {
	padding: 0;
	text-align: center;
	vertical-align: center;
    overflow: hidden; 
    text-overflow: ellipsis; 
    word-wrap: break-word;
}

table, 
table tr,
table td,
table th {
	border: none;
}

@media only screen and (max-width: 480px) {
    /* horizontal scrollbar for tables if mobile screen */
    .tablemobile {
        overflow-x: auto;
        display: block;
    }
}

#table_g2, #table_g2 tr,#table_g2 td, #table_g2 th {
    border: 5px solid #ebebeb;
}

#table_primates, #table_primates tr,#table_primates td, #table_primates th {
    border: 1px solid #000000;
    padding: 5px;
}

#table_g1 td {
    vertical-align: top;
}

/******************************************************************************
 *                           Image and Anchor                                 *
 *****************************************************************************/

 a img {  
  display: block;
  margin: 0 auto;
  border: none;
	-moz-border-radius: 0px;
	-khtml-border-radius: 0px;
	-webkit-border-radius: 0px;
	border-radius: 0px;
	box-shadow: none;
	padding: 0px 5px;  
	border-width: 0;
	outline:none;
	box-shadow: none;
  object-fit: contain;
}

.outside_image {
  text-align: center;
}

.wp-caption {
 	margin: 0 auto; 
 	padding: 10px;
	box-shadow: none;
	border: none;
	text-align: center; 
	display: block;
	clear: both;
}

.wp-caption-text {
	padding: 0px 10px 10px 10px;
}

.wp-caption-text, .outside_image {
    margin: auto;
}

img .center {
    display: block;
    margin: auto;
}

table .images_center {
    display: inline-block; 
}

.images_center, .images {
    text-align: center;
    margin:auto;
    vertical-align: top;
    max-width: 80vw;
}
.images_right, .flushright .images, .flushright2 .images {
    text-align: right;
    float: right;
    vertical-align: top;
    max-width: 80vw;  
}
.images_left {
    text-align: left;
    float: left;
    vertical-align: top;
    max-width: 80vw;  
} 

.images_center .outside_image, .images_right .outside_image, .images_left .outside_image, .flushright .images .outside_image, .images .outside_image {
  vertical-align: top; 
  margin: auto 1px;
  text-align:center;
  overflow:auto;
  display:inline-block;    
}

/******************************************************************************
 *                               Lightbox                                     *
 *****************************************************************************/

#aLightboxModalOutside {
  background-color: rgba(255, 255, 255, 0.8);
  height: 100vh;
  width: 100vw;
  top: 0;
  left: 0;
  z-index: 0;
  display: inline-block;
  object-fit: contain;  
}

#aLightboxModalOutside, #aLightboxModal {
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  max-height: 100vh;
  max-width: 100vw;
}

#aLightboxModal_outside_image {
  max-width: 100%;
  max-height: 100%;
  width: 100%;
  height: 100%;
  display: inline-flex;
  flex-direction: column;
  margin: 0 auto;
}

#aLightboxModal {
  z-index: 1;
  overflow: hidden;
  background: rgba(255, 255, 255, 0.8);
}

#aLightboxModal_title {
  height: auto;
  flex: 1;
  padding: 5px;
}

#aLightboxModal_content {
  flex: 1;
  text-align: center;
  position: relative;
  justify-content: center;
  display: inline-block;
}

#aLightboxModal_container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: inline-block;
  object-fit: contain;
}

.aLightboxModal_container img {
  max-width: 100%;
  max-height: 70vh;
  object-fit: contain;
}

.close_cursor {
    width: 2em;
    height: 2em;
    position: absolute;
    right: 0;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transform-origin: right top;
    text-decoration:none;
    color: #000 !important;
    cursor: pointer;
}

/* Next & previous buttons */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: white;
  font-weight: bold;
  font-size: 20px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  -webkit-user-select: none;
  z-index: 2;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/******************************************************************************
 *                         Header and Widgets                                 *
 *****************************************************************************/


#header {
	border-top:none;
	margin-bottom: 0px !important;
	overflow: hidden;
  height:auto;
  min-height: 42px !important;
}

#access:target .menu {
	margin-top: 42px !important;
}

#access .nav-show,
#access a.nav-show:hover {
	top: 5px !important;
	/*background: url(images/nav.png) no-repeat;
	display: block;*/
}

#sidebar-header-custom {
	padding:0px;
	height:auto;
  margin:0px !important;
  width:100%;
	margin-bottom: 0px !important;
  overflow: hidden;
}

#site-title, #jetpack-subscribe-label, #sidebar-header  {
	display:none;
}

#access a:hover,
#access li.current_page_item > a,
#access li.current-menu-item > a {
	background:none !important;
	text-decoration:none;
	font-weight:bold;
}

#current-location {
	display: none;
}

.yu_tube_outside{
	display: flex;
	flex-flow: column wrap;
	justify-content: center;
	align-items: center; 
	padding: 10px;
	max-width: 100%;
}

.yu_tube_inside, .yu_tube_caption {
	max-width: 100%; 
	width: 480px;
	display: inline-block; 
	margin: auto;
}

.yu_tube_caption {
	padding-top: 10px;
}

/******************************************************************************
 *                                 Colours                                    *
 *****************************************************************************/

 /* custom green #aac744; custom brick red: #d54e21 ; custom links blue #21759b */

.entry-content a:hover img, #attachment-nav a:hover img, .wp-caption, .entry-content a img, #attachment-nav a img, #wrapper, #sidebar-wide, #sidebar-footer-wide, #current-location, .entry, #comments, #respond, #posts-nav, .home .entry-meta, .blog .entry-meta, .archive .entry-meta, .search .entry-meta {
	background: #ffffff  !important;
}

#access a, #sidebar, #sidebar-left, #sidebar-right, .widget-title, #headline-1 a, #headline-3 a {
	color: #ffffff;
}

body.custom-background {
	background-color: #ffffff  !important;
}

a:hover, #access a:hover, #copyright a:hover, .widget-area a:hover, .entry-meta a:hover, .close_cursor:hover {
	color: #aac744 !important;
}

#access li.current_page_item > a, #access li.current-menu-item > a {
	color: #498af2;
}

#headline-2 {
	background: #498af2;
}

#header, #nav, #access:target .menu, #copyright, #access{
    background-color: #000 !important;
    color: #ffffff !important;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover,
.close_cursor:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

.prev, .next {
  color: #21759b;
}

/******************************************************************************
 *                            Post - specific                                 *
 *****************************************************************************/
    
.oldEnglish, .newEnglish
{
    width: 50%;
    /* flex: 1; */
    display: inline-block;
    /* If worried about IE7 and IE6, add the two next lines */
    *display: inline;
    *zoom: 1;
    padding: 0px;
}

.oldEnglish b, .newEnglish b {
    font-weight: 700;
}

.oldEnglish {
    background: #F0F8FF;
}
    
#riddle_horsemen_table {
    table-layout: fixed;
}

#riddle_horsemen_table td{
    max-width: 30%; 
    vertical-align: top;
}

#riddle_horsemen_table img{
    width: 150px;
}

.ingredients_ul, .utensils_ul, .spices_ul, .to_serve_ul, .to_try, .checkmark, .love, .stop {
 	list-style: none;
}

.ingredients_ul li,
.utensils_ul li,
.spices_ul li,
.to_serve_ul li,
.to_try li,
.checkmark li,
.love li,
.stop li {
padding-left: 1rem;
text-indent: -0.7rem;
}

.ingredients_ul li::before {
    content: "🥕 ";
}

.utensils_ul li::before {
    content: "🍳 ";
}

.spices_ul li::before {
    content: "🌶 ";
}

.to_serve_ul li::before {
    content: "🍒 ";
}

.to_try li::before {
    content: "😋 ";
}

.checkmark li::before {
    content: "✓ "; /*"\2713\0020"*/
}

.love li::before {
    content: "❤️ ";
}

.stop li::before {
    content: "⛔ ";
}

.directions_ol {
  list-style: none;
  counter-reset: my-awesome-counter;
}
.directions_ol li {
  counter-increment: my-awesome-counter;
}
.directions_ol li::before {
  content: counter(my-awesome-counter) ". ";
}

.directions_ol li::before, h9 {
  color: #ff4040;
  font-weight: bold;
  font-family: 'Permanent Marker';
}

h9 {
	font-size: x-large;
  	cursor: text;
	text-decoration: underline; 
}